info:
  name: Get eF requests
  type: http
  seq: 2

http:
  method: POST
  url: https://prod-169.westeurope.logic.azure.com:443/workflows/e6ee380ce9684f188167c849b40d94be/triggers/manual/paths/invoke?api-version=2016-06-01&sp=%2Ftriggers%2Fmanual%2Frun&sv=1.0&sig=NgX6FJ8dEvkN1huMI3iNMbfKUvJmlLWvnyY4P4NJ_WM
  params:
    - name: api-version
      value: 2016-06-01
      type: query
    - name: sp
      value: "%2Ftriggers%2Fmanual%2Frun"
      type: query
    - name: sv
      value: "1.0"
      type: query
    - name: sig
      value: NgX6FJ8dEvkN1huMI3iNMbfKUvJmlLWvnyY4P4NJ_WM
      type: query
  body:
    type: json
    data: |-
      {
          "moduleTag": "PROPOSTA_CCT_DOCENTE",
          "step": ""
      }
  auth: inherit

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: true

examples:
  - name: Success (EVASA)
    request:
      url: https://prod-70.westeurope.logic.azure.com:443/workflows/54d1c478e7ad45b78028ae894262e55a/triggers/manual/paths/invoke?api-version=2016-06-01&sp=%2Ftriggers%2Fmanual%2Frun&sv=1.0&sig=i0iz90qVhXTNuK4iusDx5kELPh-G7IyGsN1DS7fWFAc
      method: POST
      params:
        - name: api-version
          value: 2016-06-01
          type: query
        - name: sp
          value: "%2Ftriggers%2Fmanual%2Frun"
          type: query
        - name: sv
          value: "1.0"
          type: query
        - name: sig
          value: i0iz90qVhXTNuK4iusDx5kELPh-G7IyGsN1DS7fWFAc
          type: query
          description: Schema key (auto-generated by Power Automate platform, change this in case of unauthorized)
      body:
        type: json
        data: "{\r

          \    \"moduleTag\": \"PROPOSTA_CCT_DOCENTE\",\r

          \    \"step\": \"EVASA\"\r

          }"
    response:
      statusText: "200"
      headers:
        - name: Content-Type
          value: application/json; charset=utf-8
        - name: Date
          value: Tue, 22 Apr 2025 12:17:30 GMT
        - name: Cache-Control
          value: no-cache
        - name: Content-Encoding
          value: gzip
        - name: Expires
          value: "-1"
        - name: Pragma
          value: no-cache
        - name: Transfer-Encoding
          value: chunked
        - name: Vary
          value: Accept-Encoding
        - name: Strict-Transport-Security
          value: max-age=31536000; includeSubDomains
        - name: x-ms-workflow-run-id
          value: 08584562826412995759691208884CU92
        - name: x-ms-correlation-id
          value: 5967f63b-5fb2-4909-9ad6-883b6cb7b00b
        - name: x-ms-client-tracking-id
          value: 08584562826412995759691208884CU92
        - name: x-ms-trigger-history-name
          value: 08584562826412995759691208884CU92
        - name: x-ms-execution-location
          value: westeurope
        - name: x-ms-workflow-system-id
          value: /locations/westeurope/scaleunits/prod-70/workflows/54d1c478e7ad45b78028ae894262e55a
        - name: x-ms-workflow-id
          value: 54d1c478e7ad45b78028ae894262e55a
        - name: x-ms-workflow-version
          value: "08584567938906461302"
        - name: x-ms-workflow-name
          value: af64b975-fae7-8f1c-9470-2d1fa20fd34e
        - name: x-ms-tracking-id
          value: 5967f63b-5fb2-4909-9ad6-883b6cb7b00b
        - name: x-ms-ratelimit-burst-remaining-workflow-writes
          value: "41"
        - name: x-ms-ratelimit-remaining-workflow-download-contentsize
          value: "30677626"
        - name: x-ms-ratelimit-remaining-workflow-upload-contentsize
          value: "30677949"
        - name: x-ms-ratelimit-time-remaining-directapirequests
          value: "2849628"
        - name: x-ms-request-id
          value: westeurope:5967f63b-5fb2-4909-9ad6-883b6cb7b00b
      body:
        type: json
        data: |-
          {
              "requests": [
                  {
                      "moduleTag": "PROPOSTA_CCT_DOCENTE",
                      "requestId": 5847,
                      "step": "Evasa, indipendentemente dallo stato di workflow semplice"
                  },
                  {
                      "moduleTag": "PROPOSTA_CCT_DOCENTE",
                      "requestId": 6691,
                      "step": "Evasa, indipendentemente dallo stato di workflow semplice"
                  },
                  {
                      "moduleTag": "PROPOSTA_CCT_DOCENTE",
                      "requestId": 7007,
                      "step": "Evasa, indipendentemente dallo stato di workflow semplice"
                  }
              ],
              "error": "OK"
          }
  - name: Empty (404 Not Found)
    request:
      url: https://prod-70.westeurope.logic.azure.com:443/workflows/54d1c478e7ad45b78028ae894262e55a/triggers/manual/paths/invoke?api-version=2016-06-01&sp=%2Ftriggers%2Fmanual%2Frun&sv=1.0&sig=i0iz90qVhXTNuK4iusDx5kELPh-G7IyGsN1DS7fWFAc
      method: POST
      params:
        - name: api-version
          value: 2016-06-01
          type: query
        - name: sp
          value: "%2Ftriggers%2Fmanual%2Frun"
          type: query
        - name: sv
          value: "1.0"
          type: query
        - name: sig
          value: i0iz90qVhXTNuK4iusDx5kELPh-G7IyGsN1DS7fWFAc
          type: query
          description: Schema key (auto-generated by Power Automate platform, change this in case of unauthorized)
      body:
        type: json
        data: "{\r

          \    \"moduleTag\": \"PROPOSTA_CCT_DOCENTE\",\r

          \    \"step\": \"PRONTE_DA_ELABORARE\"\r

          }"
    response:
      statusText: "404"
      headers:
        - name: Content-Length
          value: "28"
        - name: Content-Type
          value: application/json; charset=utf-8
        - name: Date
          value: Tue, 22 Apr 2025 12:18:21 GMT
        - name: Cache-Control
          value: no-cache
        - name: Expires
          value: "-1"
        - name: Pragma
          value: no-cache
        - name: Strict-Transport-Security
          value: max-age=31536000; includeSubDomains
        - name: x-ms-workflow-run-id
          value: 08584562825871182225404358731CU210
        - name: x-ms-correlation-id
          value: 0869f892-fac9-41ed-a0c6-f27d2f1460a2
        - name: x-ms-client-tracking-id
          value: 08584562825871182225404358731CU210
        - name: x-ms-trigger-history-name
          value: 08584562825871182225404358731CU210
        - name: x-ms-execution-location
          value: westeurope
        - name: x-ms-workflow-system-id
          value: /locations/westeurope/scaleunits/prod-70/workflows/54d1c478e7ad45b78028ae894262e55a
        - name: x-ms-workflow-id
          value: 54d1c478e7ad45b78028ae894262e55a
        - name: x-ms-workflow-version
          value: "08584567938906461302"
        - name: x-ms-workflow-name
          value: af64b975-fae7-8f1c-9470-2d1fa20fd34e
        - name: x-ms-tracking-id
          value: 0869f892-fac9-41ed-a0c6-f27d2f1460a2
        - name: x-ms-ratelimit-burst-remaining-workflow-writes
          value: "41"
        - name: x-ms-ratelimit-remaining-workflow-download-contentsize
          value: "30677988"
        - name: x-ms-ratelimit-remaining-workflow-upload-contentsize
          value: "30677935"
        - name: x-ms-ratelimit-time-remaining-directapirequests
          value: "2852924"
        - name: x-ms-request-id
          value: westeurope:0869f892-fac9-41ed-a0c6-f27d2f1460a2
      body:
        type: json
        data: |-
          {
              "requests": [],
              "error": "OK"
          }
  - name: Failure (module tag not found)
    request:
      url: https://prod-70.westeurope.logic.azure.com:443/workflows/54d1c478e7ad45b78028ae894262e55a/triggers/manual/paths/invoke?api-version=2016-06-01&sp=%2Ftriggers%2Fmanual%2Frun&sv=1.0&sig=i0iz90qVhXTNuK4iusDx5kELPh-G7IyGsN1DS7fWFAc
      method: POST
      params:
        - name: api-version
          value: 2016-06-01
          type: query
        - name: sp
          value: "%2Ftriggers%2Fmanual%2Frun"
          type: query
        - name: sv
          value: "1.0"
          type: query
        - name: sig
          value: i0iz90qVhXTNuK4iusDx5kELPh-G7IyGsN1DS7fWFAc
          type: query
          description: Schema key (auto-generated by Power Automate platform, change this in case of unauthorized)
      body:
        type: json
        data: "{\r

          \    \"moduleTag\": \"XYZ\",\r

          \    \"step\": \"PRONTE_DA_ELABORARE\"\r

          }"
    response:
      statusText: "500"
      headers:
        - name: Content-Length
          value: "54"
        - name: Content-Type
          value: application/json; charset=utf-8
        - name: Date
          value: Tue, 22 Apr 2025 12:18:50 GMT
        - name: Cache-Control
          value: no-cache
        - name: Expires
          value: "-1"
        - name: Pragma
          value: no-cache
        - name: Strict-Transport-Security
          value: max-age=31536000; includeSubDomains
        - name: x-ms-failure-cause
          value: Trigger
        - name: x-ms-workflow-run-id
          value: 08584562825589840090792333105CU208
        - name: x-ms-correlation-id
          value: a0f82b84-93f6-46c4-904c-1dd3724a84ec
        - name: x-ms-client-tracking-id
          value: 08584562825589840090792333105CU208
        - name: x-ms-trigger-history-name
          value: 08584562825589840090792333105CU208
        - name: x-ms-execution-location
          value: westeurope
        - name: x-ms-workflow-system-id
          value: /locations/westeurope/scaleunits/prod-70/workflows/54d1c478e7ad45b78028ae894262e55a
        - name: x-ms-workflow-id
          value: 54d1c478e7ad45b78028ae894262e55a
        - name: x-ms-workflow-version
          value: "08584567938906461302"
        - name: x-ms-workflow-name
          value: af64b975-fae7-8f1c-9470-2d1fa20fd34e
        - name: x-ms-tracking-id
          value: a0f82b84-93f6-46c4-904c-1dd3724a84ec
        - name: x-ms-ratelimit-burst-remaining-workflow-writes
          value: "41"
        - name: x-ms-ratelimit-remaining-workflow-download-contentsize
          value: "30677962"
        - name: x-ms-ratelimit-remaining-workflow-upload-contentsize
          value: "30677952"
        - name: x-ms-ratelimit-time-remaining-directapirequests
          value: "2853042"
        - name: x-ms-request-id
          value: westeurope:a0f82b84-93f6-46c4-904c-1dd3724a84ec
      body:
        type: json
        data: |-
          {
              "requests": [],
              "error": "No module found with tag XYZ"
          }
  - name: Failure (SWF step not found)
    request:
      url: https://prod-70.westeurope.logic.azure.com:443/workflows/54d1c478e7ad45b78028ae894262e55a/triggers/manual/paths/invoke?api-version=2016-06-01&sp=%2Ftriggers%2Fmanual%2Frun&sv=1.0&sig=i0iz90qVhXTNuK4iusDx5kELPh-G7IyGsN1DS7fWFAc
      method: POST
      params:
        - name: api-version
          value: 2016-06-01
          type: query
        - name: sp
          value: "%2Ftriggers%2Fmanual%2Frun"
          type: query
        - name: sv
          value: "1.0"
          type: query
        - name: sig
          value: i0iz90qVhXTNuK4iusDx5kELPh-G7IyGsN1DS7fWFAc
          type: query
          description: Schema key (auto-generated by Power Automate platform, change this in case of unauthorized)
      body:
        type: json
        data: "{\r

          \    \"moduleTag\": \"PROPOSTA_CCT_DOCENTE\",\r

          \    \"step\": \"XYZ\"\r

          }"
    response:
      statusText: "500"
      headers:
        - name: Content-Length
          value: "53"
        - name: Content-Type
          value: application/json; charset=utf-8
        - name: Date
          value: Tue, 22 Apr 2025 12:19:18 GMT
        - name: Cache-Control
          value: no-cache
        - name: Expires
          value: "-1"
        - name: Pragma
          value: no-cache
        - name: Strict-Transport-Security
          value: max-age=31536000; includeSubDomains
        - name: x-ms-failure-cause
          value: Trigger
        - name: x-ms-workflow-run-id
          value: 08584562825299645616608823748CU70
        - name: x-ms-correlation-id
          value: 4cfea856-a198-4855-b173-cf05d1a910f9
        - name: x-ms-client-tracking-id
          value: 08584562825299645616608823748CU70
        - name: x-ms-trigger-history-name
          value: 08584562825299645616608823748CU70
        - name: x-ms-execution-location
          value: westeurope
        - name: x-ms-workflow-system-id
          value: /locations/westeurope/scaleunits/prod-70/workflows/54d1c478e7ad45b78028ae894262e55a
        - name: x-ms-workflow-id
          value: 54d1c478e7ad45b78028ae894262e55a
        - name: x-ms-workflow-version
          value: "08584567938906461302"
        - name: x-ms-workflow-name
          value: af64b975-fae7-8f1c-9470-2d1fa20fd34e
        - name: x-ms-tracking-id
          value: 4cfea856-a198-4855-b173-cf05d1a910f9
        - name: x-ms-ratelimit-burst-remaining-workflow-writes
          value: "41"
        - name: x-ms-ratelimit-remaining-workflow-download-contentsize
          value: "30677963"
        - name: x-ms-ratelimit-remaining-workflow-upload-contentsize
          value: "30677951"
        - name: x-ms-ratelimit-time-remaining-directapirequests
          value: "2853729"
        - name: x-ms-request-id
          value: westeurope:4cfea856-a198-4855-b173-cf05d1a910f9
      body:
        type: json
        data: |-
          {
              "requests": [],
              "error": "Request parameter not valid"
          }
